FLANG

Public Member Functions | Protected Attributes | Friends | List of all members
fir::BoxValue Class Reference

`#include <flang/Lower/Support/BoxValue.h>`

Inheritance diagram for fir::BoxValue:

## Public Member Functions
| BoxValue (mlir::Value addr)
| BoxValue (mlir::Value addr, mlir::Value len)
| BoxValue (mlir::Value addr, llvm::ArrayRef< mlir::Value > extents, llvm::ArrayRef< mlir::Value > lbounds={})
| BoxValue (mlir::Value addr, mlir::Value len, llvm::ArrayRef< mlir::Value > params, llvm::ArrayRef< mlir::Value > extents, llvm::ArrayRef< mlir::Value > lbounds={})
BoxValue | clone (mlir::Value newBase) const
mlir::Value | getLen () const
const llvm::SmallVectorImpl< mlir::Value > & | getLenTypeParams () const
LLVM_DUMP_METHOD void | dump () const
Public Member Functions inherited from fir::AbstractBox
| AbstractBox (mlir::Value addr)
mlir::Value | getAddr () const
Public Member Functions inherited from fir::AbstractArrayBox
| AbstractArrayBox (llvm::ArrayRef< mlir::Value > extents, llvm::ArrayRef< mlir::Value > lbounds)
const llvm::SmallVectorImpl< mlir::Value > & | getExtents () const
const llvm::SmallVectorImpl< mlir::Value > & | getLBounds () const
bool | lboundsAllOne () const

## Protected Attributes
mlir::Value | len
llvm::SmallVector< mlir::Value, 2 > | params
Protected Attributes inherited from fir::AbstractBox
mlir::Value | addr
Protected Attributes inherited from fir::AbstractArrayBox
llvm::SmallVector< mlir::Value, 4 > | extents
llvm::SmallVector< mlir::Value, 4 > | lbounds

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const BoxValue &)

## Detailed Description

In the generalized form, a boxed value can have a dynamic size, be an array with dynamic extents and lbounds, and take dynamic type parameters.

The documentation for this class was generated from the following file:

- include/flang/Lower/Support/BoxValue.h